Module java.base
Package java.util.concurrent

# Class ThreadPoolExecutor.DiscardPolicy

java.lang.Object
java.util.concurrent.ThreadPoolExecutor.DiscardPolicy

All Implemented Interfaces:
  `RejectedExecutionHandler`

Enclosing class:
  ThreadPoolExecutor

public static class ThreadPoolExecutor.DiscardPolicy extends Object implements RejectedExecutionHandler
A handler for rejected tasks that silently discards the rejected task.

## Constructor Summary

Constructors
Constructor
Description
`DiscardPolicy()`
Creates a `DiscardPolicy`.

## Method Summary

Modifier and Type
Method
Description
`void`
`rejectedExecution​(Runnable r, ThreadPoolExecutor e)`
Does nothing, which has the effect of discarding task r.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiscardPolicy

public DiscardPolicy()
Creates a `DiscardPolicy`.

## Method Details

### rejectedExecution

public void rejectedExecution​(Runnable r, ThreadPoolExecutor e)
Does nothing, which has the effect of discarding task r.

Specified by:
  `rejectedExecution` in interface `RejectedExecutionHandler`
Parameters:
  `r` - the runnable task requested to be executed
  `e` - the executor attempting to execute this task